﻿
@{
    ViewBag.Title = "NewEvent";
}
@model CalendarNoLogin.Controllers.NewEventViewModel

<div>
    <table>
        <tr>
            <td>
                Event title:
            </td>
            <td>
                <input type="hidden" id="EventId" name="EventId" />
                <input type="text" id="EventName" name="EventName" />
            </td>
        </tr>
        <tr>
            <td>
                Date
            </td>
            <td>
                <input class="datepicker" data-date-format="mm/dd/yyyy" id="EventDate">
            </td>
        </tr>
        <tr>
            <td>
                Begin Time
            </td>
            <td>
                <div class='input-group date' id='datetimepicker3'>
                    <input type='text' class="form-control" id="BeginTime" />
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-time"></span>
                    </span>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                End time
            </td>
            <td>
                <div class='input-group date' id='datetimepicker4'>
                    <input type='text' class="form-control" id="EndTime" />
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-time"></span>
                    </span>
                </div>
            </td>
        </tr>
    
        <tr>
            <td>
                Choose User
            </td>
            <td height="100px">
                <select id="mysuperpicker" multiple>
                    @foreach (var user in Model.AvailableUsers)
                    {
                        if (@user.selected)
                        {
                            <option selected>@user.login</option>
                        }
                        else
                        {
                            <option>@user.login</option>
                        }
                    }
                </select>
                
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <input type="submit" name="BtnSubmit" value="Save Employee" onclick="SaveNewEvent();" />
                <input type="submit" name="BtnSubmit" value="Cancel" onclick="CancelSave()" />
                <input type="button" name="BtnReset" value="Reset" onclick="ResetForm();" />
            </td>
        </tr>
    </table>
</div>

<script type="text/javascript">
    $('#EventId').val('@Model.ID');
    $('#EventName').val('@Model.Title');
    $('#EventDate').val('@Model.Begin');
    $('#BeginTime').val('@Model.BeginTime');
    $('#EndTime').val('@Model.End');
    

    $("#mysuperpicker").selectpicker('render');
    $('.datepicker').datepicker({
        format: 'mm/dd/yyyy',
        startDate: '-3d'
    });
    $('#datetimepicker3').datetimepicker({
        format: 'LT'
    });
    $('#datetimepicker4').datetimepicker({
        format: 'LT'
    });

</script>

